. tests/common.sh

#------------------------------------------------------

test_initialize
test_set_hook result test_result_hook_save_output_on_failure

# out-of-plane only

NRAYS=100000

exec 3< $inputs_dir/sawtooth.input

while read -u 3 esa theta energy exp ; do

  test_begin_subtests

    $TEST_SCATTER		\
       --seed1 $SEED1		\
       --seed2 $SEED2		\
       --block $BLOCK		\
       --nrays $NRAYS		\
       --alpha $theta		\
       --no-in_plane		\
       --out_of_plane		\
       --flip			\
       --energy $energy		\
       --tag=$(testpfx)		\
       --srcdir=$scatter_dir	\
       --zpos=0			\
       --mirror_db='${INPUTDIR}/mirror.rdb' \
       --scatter_db='${INPUTDIR}/sawtooth.rdb'

    test_ok $? "new: esa = $esa: generate test output"

    test_set check_exit_status 1
    P=$(./test_smirnov $inputs_dir/$exp phi $(testpfx).scatter.fits -phi )
    test_ndiff_is -a "-relerr .001" "$P" 1.0 "new: esa = $esa; phi matches expected distribution"

    # 1 arcsec = pi / 180 / 3600 = 4.84813681109536e-06 radians
    # content ourselves with a .01 arcsec error in the calculated phi vs. the
    # input phi
    err=4.84813681109536e-08
    for delta in min max ; do
        dphi=$(perl -lane 'print abs($F[1]) if $F[0] eq "'${delta}':"' $(testpfx).dphi)
	test_ndiff_is -a "-abserr $err" "$dphi" 0 "new: esa = $esa; dphi ${delta}"
    done


    test_set check_exit_status 0

  test_end_subtests

done

test_summary
test_exit
